Page MenuHomePhabricator

Special:UserLogin createaccount link looks unstyled when already logged in
Closed, ResolvedPublic

Description

If you're already logged in and request the Special:UserLogin special page, you'll get something like this:

while it should look like:

Take a look at the "Create another account" link, it looks a bit misplaced and unstyled.

Event Timeline

Florian created this task.May 21 2016, 11:24 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 21 2016, 11:24 PM
Florian claimed this task.May 21 2016, 11:33 PM

Change 290050 had a related patch set uploaded (by Florianschmidtwelzow):
Special:UserLogin: Consolidate create account buttons

https://gerrit.wikimedia.org/r/290050

Huji added a subscriber: Huji.May 21 2016, 11:57 PM

@Florian can you please post a screenshot of how the page looks like after applying your patch?

Sure:
When already logged in:

When logged out:

Ricordisamoa renamed this task from Specil:UserLogin createaccount link looks unstyled when already logged in to Special:UserLogin createaccount link looks unstyled when already logged in.May 22 2016, 10:09 AM
Florian added subscribers: Tgr, Anomie.
Tgr added a comment.May 24 2016, 8:45 PM

I always assumed that was intentional, to make the link more silent for logged-in users.

Yeah, it was definitely done intentionally. But it should probably still be centered and the same color as other links.

Change 290964 had a related patch set uploaded (by Florianschmidtwelzow):
Use mw-ui-button mw-ui-progressive mw-ui-quiet for links on Special:UserLogin

https://gerrit.wikimedia.org/r/290964

Change 290050 merged by jenkins-bot:
Special:UserLogin: Consolidate create account buttons

https://gerrit.wikimedia.org/r/290050

Florian closed this task as Resolved.May 27 2016, 4:14 PM
Volker_E reopened this task as Open.May 27 2016, 4:41 PM

Change 290964 abandoned by Florianschmidtwelzow:
Use mw-ui-button mw-ui-progressive mw-ui-quiet for links on Special:UserLogin

Reason:
ok

https://gerrit.wikimedia.org/r/290964

Volker_E closed this task as Resolved.Jul 6 2016, 10:06 AM
Volker_E removed a project: Patch-For-Review.